Bug 1445151 - Switch libidn-using applications to IDNA2008
Summary: Switch libidn-using applications to IDNA2008
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SystemWideChange
: 1488806 (view as bug list)
Depends On: fedora28-switch-to-idna2008
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 06:42 UTC by Jan Kurik
Modified: 2018-05-02 12:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:04:05 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-04-25 06:42:57 UTC
This is a tracking bug for Change: Switch libidn-using applications to IDNA2008
For more details, see: https://fedoraproject.org//wiki/Changes/IDNA2008

The proposed change is about deprecating libidn, which supports IDNA2003, and switch all applications using libidn, to libidn2 2.0.0, which supports IDNA2008.

Comment 1 Petr Špaček 2017-05-09 10:01:35 UTC
Please contact upstream here:
https://gitlab.labs.nic.cz/labs/knot/issues

Comment 2 Jan Kurik 2017-08-10 06:17:49 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 3 Nikos Mavrogiannopoulos 2017-08-10 06:53:32 UTC
At this moment this change is partially complete. While its dependencies were long, I believe the minimum required to claim a system change in that aspect would be having systemd, bind, and lftp, libpurple support the change, while keeping the rest of packages as broken outliers.

Comment 4 Nikos Mavrogiannopoulos 2017-08-10 06:54:39 UTC
If was not clear above. Unless we manage to complete systemd, bind, lftp and libpurple, I'd recommend postponing the change.

Comment 5 Jan Kurik 2017-08-14 14:38:03 UTC
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

For more info check https://pagure.io/fesco/issue/1760#comment-457211

Comment 6 Jan Kurik 2017-09-06 08:51:57 UTC
Approved for F28 by FESCo: https://meetbot.fedoraproject.org/teams/fesco/fesco.2017-09-01-16.02.log.html#l-251

Comment 7 Jan Kurik 2017-09-06 09:08:09 UTC
*** Bug 1488806 has been marked as a duplicate of this bug. ***

Comment 8 Jan Kurik 2018-02-20 14:09:47 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 9 Nikos Mavrogiannopoulos 2018-02-20 15:09:55 UTC
The change is _mostly_ complete with some exceptions which are not significant for the OS, so I'm considering it complete.

Comment 10 Fedora End Of Life 2018-02-20 15:32:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 11 Jan Kurik 2018-03-06 08:57:52 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.